.storeloc {
    color: #000;
    background-color: #f6f6f6;
    font-family: 'Poppins', sans-serif;
}

.storeloc .container {
    width: auto;
}

/* BUTTONS */
.storelocGeolocateMobile,
.storelocBtn--outline {
    text-transform: unset;
    font-family: 'Poppins', sans-serif;
    border-radius: 0;
    background-color: #fff;
    color: #ba8e86;
    border: 1px solid #ba8e86;
}

.storelocGeolocateMobile:hover,
.storelocBtn--outline:hover,
.storelocBtn--outline-alt:hover {
    border: 1px solid #ba8e86;
    background-color: #ba8e86;
    color: #fff;
}

.storelocGeolocateMobile {
    font-size: 8px;
}

.storelocSearchField__btn-mobile,
.storelocBtn--primary,
.storelocBtn--outline-alt {
    border: 0;
    font-family: 'Poppins', sans-serif;
    border-radius: 0;
    background-color: #F2E4D3;
    color: #161616;
}

.storelocSearchField__btn-mobile:hover,
.storelocBtn--primary:hover,
.storelocBtn--outline-alt:hover,
.storelocBtn--outline-alt.active {
    background-color: #b41e32;
}

/* SEARCH */
.storelocSearchField__input {
    border-radius: 0;
    color: #000;
    box-shadow: none;
}

.storelocPanel__results {
    font-family: 'Poppins', sans-serif;
    color: #000;
    background: #b78f6f;
    color: #fff;
    padding: 15px;
    text-transform: uppercase;
}

/* STORE CARD */
.storelocCard--duplicate,
.storelocCard:hover {
    background-color: #fcf9f6;
}

.storelocCard--duplicate {
    margin-inline: 0;
}

.storelocCard__statusText {
    font-family: 'Poppins', sans-serif;
}

.storelocCard__info li {
    display: flex;
    align-items: flex-start;
}

.storelocCard__info li:not(:last-child) {
    margin-bottom: 5px;
}

.storelocCard__links {
    margin-top: 10px;
}

.storelocCard__icon {
    width: 24px;
    height: 24px;
    position: static;
    top: unset;
}

.storelocCard__distance {
    font-family: 'Poppins', sans-serif;
    font-size: 10px;
    color: #000;
    flex-shrink: 0;
    padding-left: 7px;
    display: flex;
    align-items: center;
}

.storelocCard--highlighted .storelocCard__distance {
    color: white;
}

/* MAP */
.storelocMarker--cluster {
    background-color: #303030;
    color: #fff;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
}

.storelocMarker--cluster:hover,
.storelocMarker--cluster.active {
    background-color: #b41e32;
}

.storelocSearch__or {
    width: 85px;
}

.storelocSearchField {
    max-width: inherit;
    width: 100%;
    position: relative;
    z-index: 6;
    flex-direction: column;
    order: 4;
}

.storelocSearchField__input::placeholder {
    color: #605F5F;
    opacity: 1;
}

.storelocSearchField__btn-mobile {
    border-radius: 0;
}

.storeloc {
    background: white;
}

.storelocCard__statusBadge {
    width: 11px;
    height: 11px;
}

.storelocCard__statusBadge--closed {
    background-color: #b41e32;
}

.storelocCard__statusText {
    font-family: 'Poppins', sans-serif;
}

.storelocGeolocateMobile,
.storelocBtn--outline {
    border-radius: 0;
    border-width: 2px;
    text-transform: uppercase;
    font-size: 13px;
}

.storelocGeolocateMobile:hover,
.storelocBtn--outline:hover {
    border-width: 2px;
}

.storelocBtn--primary {
    background: #b41e32;
    border-radius: 0;
    text-transform: uppercase;
}

.form-wrapper .storelocCard {
    padding: 25px 15px;
}

#store-locator__main {
    margin-bottom: 70px;
}

.storelocCard__statusBadge--open {
    background-color: #28a745;
}

.storelocCard__statusBadge--openingSoon {
    background-color: transparent;
    border: 1px solid #000;
}

@media (max-width: 991px) {
    .storelocGeolocateMobile {
        font-size: 0;
    }

    .storelocGeolocateMobile img {
        height: 30px;
        margin-bottom: 0;
        width: 30px;
    }

    .storelocSearchField__btn-mobile {
        border-radius: 3px;
    }

    .storelocCard {
        border: 1px solid #dedede;
    }

    .storelocCard__links .storelocBtn {
        width: 100%;
        justify-content: center;
    }

    .storelocSearch__top {
        flex-direction: column;
        gap: 10px;
    }

    .storelocGeolocateMobile {
        display: none;
    }

    .card-frame:has(#store-locator__main) {
        padding-bottom: 0;
    }
}

.form-wrapper #store-locator__main .storelocSearchField__btn-mobile img {
    width: 23px;
    height: auto;
    display: block;
    max-width: inherit;
}

.form-wrapper #store-locator__main .storelocBtn--outline-alt:hover {
    border: 0;
}

.form-wrapper #store-locator__main .storeloc__mapContainer {
    margin-bottom: 0;
    max-height: 468px;
    overflow-y: auto;
}

.form-wrapper #fake-required {
    padding: 0;
    margin: 0;
}

.form-wrapper .error:empty {
    margin: 0;
}

.form-wrapper #store-locator__main .custom--form--select {
    width: 100%;
}

.form-wrapper #store-locator__main {
    padding: 0;
    margin-bottom: 0;
    width: 100%;
}

.form-wrapper #store-select:empty {
    height: 0;
}

div#store-locator__main .container {
    padding-left: 0;
    padding-right: 0;
}

.storelocSearch {
    box-shadow: none;
    padding: 15px 15px 30px 15px;
}

.form-wrapper .storelocSearch {
    padding: 0 0 30px 0;
}

@media (max-width: 400px) {
    .form-wrapper .storelocBtn--outline-alt {
        font-size: 12px;
        padding: 10px;
    }
}

@media (min-width: 992px) {
    .form-wrapper #store-locator__main .storelocSearch {
        padding: 0 0 25px;
    }

    .form-wrapper #store-locator__main .storeloc__panelContainer {
        max-width: 50%;
    }

    .form-wrapper #store-locator__main .storeloc__panelContainer .storelocPanel {
        max-width: 100%;
    }

    .storelocPanel.open {
        width: calc(100% - 36px);
        margin-right: 36px;
        padding-right: 40px;
    }

    .form-wrapper #store-locator__main .storeloc__mapContainer {
        max-height: inherit;
    }

    .storelocSearch {
        padding: 30px 60px 53px 60px;
    }

    .form-wrapper .storelocSearch {
        padding: 0 0 30px 0;
    }
}

/*
@media (min-width: 992px) and (max-width: 1199px) {
    .form-wrapper #store-locator__main .storelocSearch {
        padding: 30px 10px;
    }

    .form-wrapper #store-locator__main .storelocBtn--outline-alt {
        font-size: 12px;
        padding: 10px 10px;
    }

    .form-wrapper #store-locator__main .storelocCard__statusText {
        font-size: 14px;
    }
}
    */

.form-wrapper .storelocBtn--outline-alt {
    border-radius: 3px;
    background-color: #c60f3d;
    text-transform: uppercase;
}
.form-wrapper .storelocCard {
    padding: 15px;
}
img.storelocCard__icon {
    display: none;
}
.storelocSearch__bottom img {
    display: none;
}
/* update 29/05 */

#store-locator__main .storelocCard__links .storelocBtn.storelocBtn--primary:before{
  font-family: 'icomoon' !important;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -moz-osx-font-smoothing: grayscale;
  content: "\ea6b";
  font-size: 19px;
  color: white;
  margin-right: 7px;
  top: 3px;
  position: relative;
  display: inline-block;
  transition: 0.25s all;
}

#store-locator__main .storelocCard__selectStore {
    display: contents;
}

#store-locator__main .storelocCard__selectStore .storelocBtn {
    position: absolute;
    inset: 0;
    opacity: 0;
    padding: 0;
    margin: 0;
    border: 0;
    cursor: pointer;
}

.custom--form--select:has(#store-select:empty) {
  display: none;
}

#store-locator__main .storelocGeolocateDesktop {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  width: 100%;
  height: 48px;
  padding: 0 15px;
  border: 1px solid #878787;
  background: #fff;
  color: #161616;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
  font-size: .9375rem;
  line-height: 1.6;
  text-transform: none;
  white-space: nowrap;
  border-radius: 0;
  transition: 0.25s all;
}

#store-locator__main .storelocGeolocateDesktop::before {
  font-family: 'icomoon' !important;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -moz-osx-font-smoothing: grayscale;
  content: "\ea64";
  font-size: 1.5rem;
  color: #605f5f;
  position: static;
  left: auto;
}

#store-locator__main .storelocGeolocateDesktop:hover,
#store-locator__main .storelocGeolocateDesktop:hover::before {
  background: #fff;
  color: #161616;
  border-color: #161616;
}

#store-locator__main .storelocGeolocateDesktop img {
  display: none;
}

#store-locator__main .storelocSearch__or {
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  font-size: 1.0625rem;
  color: #161616;
}

#store-locator__main .storelocSearchField__input {
  width: 100%;
  height: 48px;
  border: 1px solid #C0BFBD;
  border-radius: 0;
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  font-size: .9375rem;
  padding-inline: 17px;
}

#store-locator__main .storelocSearchField__input:focus {
  border-color: #161616;
  box-shadow: inset 0 0 0 2px #161616;
  outline: none;
}

#store-locator__main .storelocSearchField__input:disabled {
  background-color: #fff;
  border-color: #C0BFBD;
  color: #878787;
}

#store-locator__main .storelocSearchField__input:disabled::placeholder {
  color: #878787;
}

#store-locator__main .storelocSearchField__input-wrapper:has(input:disabled) label {
  color: #878787;
}

#store-locator__main .storelocSearchField__btn {
  width: 100%;
  height: 48px;
  border: 0;
  border-radius: 0;
  background: #f2e4d3;
  color: #161616;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
  font-size: .9375rem;
  text-transform: none;
}

#store-locator__main .storelocSearchField__btn:hover {
  background: #f2e4d3;
}

#store-locator__main .storelocMaptoggle {
  background: none;
  border: 0;
  border-bottom: 1px solid #878787;
  border-radius: 0;
  padding: 0;
  color: #161616;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
  font-size: .9375rem;
  line-height: 1.5;
  text-transform: none;
  text-decoration: none;
}

#store-locator__main .storelocMaptoggle:hover,
#store-locator__main .storelocMaptoggle:focus-visible {
  border-bottom-color: transparent;
}

#store-locator__main .storelocCard {
  position: relative;
  background: #f5f3f3;
  border: 0;
  margin-bottom: 12px;
}

.form-wrapper #store-locator__main .storelocCard::before {
  content: '';
  position: absolute;
  top: 20px;
  left: 15px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #fff;
  border: 1px solid #605F5F;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}

.form-wrapper #store-locator__main .storelocCard__header {
  margin-left: 40px;
  margin-bottom: 10px;
}

#store-locator__main .storelocCard__name {
  font-family: 'Poppins', sans-serif;
  font-weight: 700;
  font-size: .8125rem;
  line-height: 1.4;
  text-transform: none;
  color: #161616;
  min-height: 31px;
  display: flex;
  align-items: center;
}

#store-locator__main .storelocCard__address {
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  font-size: .8125rem;
  line-height: 1.4;
  color: #161616;
  text-decoration: none;
  position: relative;
  z-index: 1;
}

@media (min-width: 992px) {
    #store-locator__main .storelocCard__address:hover {
        text-decoration: underline;
    }
}

#store-locator__main .storelocCard__phone {
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  font-size: .8125rem;
  line-height: 1.4;
  color: #161616;
  text-decoration: underline;
  position: relative;
  z-index: 1;
}

#store-locator__main .storelocCard__phone::before {
  font-family: 'icomoon' !important;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -moz-osx-font-smoothing: grayscale;
  content: "\ea5e";
  font-size: 15px;
  margin-right: 5px;
  display: inline-block;
  text-decoration: none;
  color: #605f5f;
  position: relative;
  top: 1px;
}

.form-wrapper #store-locator__main .storelocCard--highlighted {
  background: #61674e;
}

.form-wrapper #store-locator__main .storelocCard--highlighted .storelocCard__name,
.form-wrapper #store-locator__main .storelocCard--highlighted .storelocCard__address,
.form-wrapper #store-locator__main .storelocCard--highlighted .storelocCard__phone,
.form-wrapper #store-locator__main .storelocCard--highlighted .storelocCard__status {
  color: #fff;
}

.form-wrapper #store-locator__main .storelocCard--highlighted .storelocCard__phone:before {
  color: #fff;
}

.form-wrapper #store-locator__main .storelocCard--highlighted .storelocCard__phone:hover::before,
.form-wrapper #store-locator__main .storelocCard--highlighted .storelocCard__phone:focus-visible::before{
    content: "\ea71";
}

.form-wrapper #store-locator__main .storelocCard--highlighted::before {
  border-color: #fff;
  font-family: 'icomoon' !important;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -moz-osx-font-smoothing: grayscale;
  content: "\ea72";
  color: #605F5F;
  font-size: 10px;
}

#store-locator__main .storelocCard__info {
    margin-bottom: 0;
}

#store-locator__main .storelocCard__infoContainer {
    padding-bottom: 0;
}

#store-locator__main .storelocGeolocateDesktop,
#store-locator__main .storelocGeolocateMobile {
  order: 1;
}

#store-locator__main .storelocSearch__or {
  order: 2;
}

#store-locator__main .storelocSearchField__input-wrapper {
  order: 3;
  margin-bottom: 5px;
}

#store-locator__main .storelocSearchField__input-wrapper label {
    display: block;
    font-weight: 700;
}

#store-locator__main .storelocSearchField__btn,
#store-locator__main .storelocSearchField__btn-mobile {
  order: 4;
}

form .storelocCard__status {
  display: none;
}

@media (min-width: 992px) {
  #store-locator__main .storelocGeolocateDesktop {
    flex: 1;
    max-width: 218px;
  }

  #store-locator__main .storelocSearch__or {
    font-size: .9375rem;
    height: 48px;
    width: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #store-locator__main .storelocSearchField__btn {
    width: 180px;
    padding-inline: 15px;
    flex: initial;
    margin-inline: 10px 0;
  }

  .form-wrapper #store-locator__main .storelocSearchField__btn {
    width: 168px;
    padding-inline: 15px;
    flex: initial;
    margin-inline: 10px 0;
  }

  #store-locator__main .storelocCard__phone {
    font-size: .8125rem;
  }

  #store-locator__main .storelocCard__phone:hover {
    text-decoration: none;
  }

  #store-locator__main .storelocSearch__top {
    flex-direction: row;
    align-items: end;
  }

  #store-locator__main .storelocSearchField__input-wrapper {
    margin-bottom: 0;
    width: auto;
    flex: 1;
  }

  .form-wrapper #store-locator__main .storelocSearchField__input-wrapper {
    margin-bottom: 0;
    width: 418px;
    flex: inherit;
  }

  .storelocMap {width: 100%;}
  .storeloc .container {
    width: 100%;
  }

  .storelocPanel {
    padding-right: 40px;
    width: calc(406px - 40px);
    margin: 0;
    margin-right: 0px;
    margin-right: 40px;
  }

  .storelocSearchField {
    flex-direction: row;
    order: 10;
    display: flex;
    align-items: end;
}
}

@media (max-width: 991px) {
  #store-locator__main button.storelocGeolocateDesktop {
    display: flex;
  }

  #store-locator__main .storelocSearch__or {
    display: block;
    width: 100%;
    text-align: center;
    text-transform: uppercase;
  }

  #store-locator__main .storelocSearchField__btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
  }

  #store-locator__main .storelocSearchField__btn-mobile {
    display: none;
  }
}

#store-locator__main .storelocDummy__search {
    padding: 20px 0;
}

#store-locator__main .storelocDummy__searchTop {
    margin-top: 23px
}

#store-locator__main .storelocDummy__toggleMap {
    border-radius: 0;
    width: 100%;
}

@media (max-width: 991px) {
    #store-locator__main .storelocDummy__search {padding: 0;}
    #store-locator__main .storelocDummy__searchTop {flex-direction: column; margin-top: 0;gap: 0;}
    #store-locator__main .storelocDummy__loading {width: 100%}
    #store-locator__main .storelocDummy__toggleMap {height: 70px; margin-bottom: 0px;}
}

@media (min-width: 992px) {
    #store-locator__main .storelocDummy__locate {border-radius: 0}
    #store-locator__main .storelocDummy__searchTop {flex-direction: row-reverse}
    #store-locator__main .storelocDummy__or {width: 48px}
    #store-locator__main .storelocDummy__locate {width: 218px}
    #store-locator__main .storelocDummy__searchInput {max-width: inherit}
    #store-locator__main .storelocSearch__top:has(.storelocDummy__loading) {margin-top: 23px}
    #store-locator__main .storelocSearch__top:has(.storelocDummy__loading) .storelocDummy__searchInput {order: 10;}
    #store-locator__main .storelocSearch__top:has(.storelocDummy__loading) {padding: 0}
}

#store-locator__main .storelocCard__links .storelocBtn--outline,
#store-locator__main .storelocCard__links .storelocBtn--primary {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: var(--background-color);
  border: 1px solid var(--border-color);
  border-radius: 0;
  color: var(--color);
  cursor: pointer;
  display: inline-block;
  font-family: 'Poppins', sans-serif;
  font-size: .9375rem;
  font-weight: 500;
  line-height: 1.375rem;
  min-width: 150px;
  padding: 12px 15px;
  text-align: center;
  text-decoration: none;
  text-transform: none;
  white-space: unset;
}

#store-locator__main .storelocCard__links .storelocBtn--primary {
  --background-color: #b41e32;
  --border-color: #b41e32;
  --color: #fff;
  --active-background-color: #b41e32;
  --active-border-color: #161616;
  --active-color: #fff;
  --focus-background-color: #f2e4d3;
  --focus-color: #161616;
}

#store-locator__main .storelocCard__links .storelocBtn--outline {
  --background-color: #f2e4d3;
  --border-color: #f2e4d3;
  --color: #161616;
  --active-background-color: #f2e4d3;
  --active-border-color: #161616;
  --active-color: #161616;
  --focus-background-color: #f2e4d3;
  --focus-color: #161616;
}

#store-locator__main .storelocCard__links .storelocBtn--outline:hover,
#store-locator__main .storelocCard__links .storelocBtn--outline:active,
#store-locator__main .storelocCard__links .storelocBtn--outline:focus-visible,
#store-locator__main .storelocCard__links .storelocBtn--primary:hover,
#store-locator__main .storelocCard__links .storelocBtn--primary:active,
#store-locator__main .storelocCard__links .storelocBtn--primary:focus-visible {
  font-weight: 600;
  letter-spacing: -.1px;
  text-decoration: underline;
  text-underline-offset: 2px;
}

#store-locator__main .storelocCard__links .storelocBtn--outline:hover,
#store-locator__main .storelocCard__links .storelocBtn--outline:active,
#store-locator__main .storelocCard__links .storelocBtn--primary:hover,
#store-locator__main .storelocCard__links .storelocBtn--primary:active {
  background-color: var(--background-color);
  border-color: var(--active-border-color);
  color: var(--color);
}

#store-locator__main .storelocCard__links .storelocBtn--outline:active,
#store-locator__main .storelocCard__links .storelocBtn--primary:active {
  background-color: var(--active-background-color);
  box-shadow: inset 0 0 0 2px var(--active-border-color);
  color: var(--active-color);
}

#store-locator__main .storelocCard__links .storelocBtn--outline:focus-visible,
#store-locator__main .storelocCard__links .storelocBtn--primary:focus-visible {
  background-color: var(--focus-background-color);
  border-color: #161616;
  box-shadow: inset 0 0 0 2px #161616;
  color: var(--focus-color);
  outline-offset: 2px;
}

#store-locator__main .storelocCard__links .storelocBtn--outline.disabled,
#store-locator__main .storelocCard__links .storelocBtn--outline:disabled,
#store-locator__main .storelocCard__links .storelocBtn--primary.disabled,
#store-locator__main .storelocCard__links .storelocBtn--primary:disabled {
  cursor: not-allowed;
  opacity: .5;
  pointer-events: none;
}
/* Specific LisOnly mode */
.form-wrapper #store-locator__main .storeloc__panelContainer .storelocPanel--listOnly {
  width: 100%;
  padding: 0;
  margin: 0;
}

.form-wrapper #store-locator__main .storeloc__panelContainer.storeloc__panelContainer--listOnly {
  max-width: inherit;
}

@media (min-width: 768px) {
  .form-wrapper #store-locator__main .storeloc__panelContainer .storelocPanel--listOnly {
	display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }

  .form-wrapper #store-locator__main .storeloc__panelContainer .storelocCard--listOnly {
  	margin-bottom: 0;
  }
}

#store-locator__main .storelocSearchField__btn[disabled] {
  background: #F5F3F3;
  color: #605F5F;
  cursor: not-allowed;
  pointer-events: auto;
}

@media (max-width: 991px) {
  .storelocMap {
    margin-bottom: 10px;
  }
}

@media (min-width: 992px) {
  .storeloc__mapWrapper,
  .storelocMap {
    height: 497px;
  }
}

.storelocLoading__spinner {
  border-bottom-color: #161616;
}

.storeloc__mapWrapper--listOnly {
  height: unset;
}

#store-locator__main .storeloc__panelContainer.storeloc__panelContainer--listOnly {
  max-width: inherit;
  padding-bottom: 0;
}

.form-wrapper #store-locator__main:has(.storeloc__mapContainer--listOnly) .storelocSearch {
	padding-bottom: 0;
}

@media (min-width: 992px) {
    .form-wrapper #store-locator__main:has(.storelocCard--listOnly) .storelocSearch {
        padding-bottom: 25px;
    }
}

@media (min-width: 768px) {
  .card-frame:has(#store-locator__main .storelocCard--listOnly) {
    padding-bottom: 25px;
  }
}
